/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
"use client";
import Script from "next/script";
import type { JSX } from "react";

/**
 * Renders the /apply page.
 * @returns A React Component.
 */
const Apply = (): JSX.Element => {
  return (
    <>
      <main className="w-4/5 text-center
        max-w-4xl m-auto mt-16 mb-1 rounded-lg">
        <h1 className="text-5xl">{`Staff Application`}</h1>
        <p>{`This form allows you to apply to join NHCarrigan's volunteer staff team.`}</p>
      </main>
      <style>
        {`.hbspt-form {
            max-width: 750px;
            margin: auto;
            background-color: #04624f;
            border-radius: 1rem;
            padding: 1rem;
            margin-bottom: 100px;
            font-family: "Fira Code", monospace;
        }`}
      </style>
      <Script
        src="//js.hsforms.net/forms/embed/v2.js"
        strategy="beforeInteractive"
        type="text/javascript"
      ></Script>
      <Script strategy="afterInteractive">
        {`hbspt.forms.create({
            portalId: "47086586",
            formId: "833ff1c0-6c24-4c26-9af0-331c1f7ce6d4",
        });`}
      </Script>
    </>
  );
};

export default Apply;
